Bug 1248420 - Document RHEL-7 RHGS tuned profiles
Document RHEL-7 RHGS tuned profiles
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.0
Assigned To: Bhavana
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 05:10 EDT by Manoj Pillai
Modified: 2015-08-03 03:08 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manoj Pillai 2015-07-30 05:10:20 EDT
Document URL:

Section Number and Name: 
https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Administration_Guide/chap-Configuring_Red_Hat_Storage_for_Enhancing_Performance.html

Describe the issue:
New tuned profiles have been added for RHGS on RHEL-7. They need to be documented in the admin guide

See also:
Bug 1242454 - RHGS tuned profiles incompatible with RHEL7 tuned
Bug 1243725 - Do not install RHEL-6 tuned profiles in RHEL-7 based RHGS 

Suggestions for improvement: 

Additional information:
Comment 2 Manoj Pillai 2015-07-30 05:16:05 EDT
Suggested changes.

Section 11.2.7 Performance tuning option in Red Hat Gluster Storage

[note that the current text applies to RHEL-6 tuned profiles]

[add the following at the end of the sub-section]

On RHEL 7, there are two tuned profiles available,
rhgs-sequential-io and rhgs-random-io. Choose between
these profiles based on your workload, as recommended in the
table below:

Table:
Workload | Profile Name
large-file, sequential I/O workloads | rhgs-sequential-io
small-file workloads | rhgs-random-io
random I/O workloads | rhgs-random-io

Activate the tuned profile using the command:
tuned-adm profile <profile-name>

For example:
tuned-adm profile rhgs-sequential-io

Section 11.4.1 Virtual Memory Parameters

[Add the following note immediately after the table 11.1]
Note: The RHEL-7 tuned profiles, rhgs-sequential-io and
rhgs-random-io, set the virtual memory parameter values as given
in table 11.1 The rest of this sub-section is necessary only on RHEL-6.

11.5. Small File Performance Enhancements

[change the note in para 2. to the following]
Note: On RHEL 7, for a small-file workload, activate the rhgs-random-io
tuned profile. On RHEL 6, for a small-file workload, see the
<previous section> for instructions on configuring virtual memory parameter values.

11.6 Number of Clients

[Note that this applies for RHEL-6 only]
Comment 4 Manoj Pillai 2015-07-31 08:57:31 EDT
There are some spelling errors in the addition to 11.6 that needs fixing.

Rest seems fine. All changes are in the right place.
Comment 5 SATHEESARAN 2015-07-31 13:01:57 EDT
Also checked the doc as available in doclink provided in comment3.

As Manoj pointed out, the note under section 11.6 requires spelling correction.
Also it calls RHGS 3.1 as 'Red Hat Gluster 3.1', which could be termed as 'Red Hat Gluster Storage 3.1'
Comment 6 Bhavana 2015-08-03 02:06:53 EDT
Hi Sas/Manoj,

The changes are incorporated.

Please check the link after an hour to view the changes.
Comment 7 SATHEESARAN 2015-08-03 03:08:49 EDT
Verified with the doc-link available in comment3.
It looks good.

Marking this bug as VERIFIED

Note You need to log in before you can comment on or make changes to this bug.